Operating System - HP-UX
1823925 Members
3114 Online
109667 Solutions
New Discussion юеВ

Getting AIDE to work on HP-UX

 
SOLVED
Go to solution
Fred K. Abell Jr._1
Regular Advisor

Getting AIDE to work on HP-UX

I am trying to get AIDE to work. I can get it to configure, but when I enter "make", I get the following:
# make
No suffix list.
make all-recursive
No suffix list.
Making all in src
bison -y -d -p conf -o conf_yacc.c ../src/conf_yacc.y
*** Termination signal 13

Stop.
*** Error exit code 1

Stop.
*** Error exit code 1

I have installed all the reequired tools and libraries: bison, flex, zlib, and mhash.

Thanks in advance.

44 REPLIES 44
Dennis Handly
Acclaimed Contributor

Re: Getting AIDE to work on HP-UX

Fred K. Abell Jr._1
Regular Advisor

Re: Getting AIDE to work on HP-UX

Yes, I do need gmake, but getting it to work on HP-UX is a problem.
Dennis Handly
Acclaimed Contributor

Re: Getting AIDE to work on HP-UX

>but getting it to work on HP-UX is a problem.

Why? Just download and install:
http://hpux.cs.utah.edu/hppd/hpux/Gnu/make-3.81/
Fred K. Abell Jr._1
Regular Advisor

Re: Getting AIDE to work on HP-UX

Downloaded gmake and followed directions. A lot of "warning: incompatible implicit declaration of built-in function 'alloca'" messages were given. Tried it anyway and got:
# gmake
gmake all-recursive
gmake[1]: Entering directory `/ares/aide-0.13.1'
Making all in src
gmake[2]: Entering directory `/ares/aide-0.13.1/src'
bison -y -d -p conf -o conf_yacc.c ../src/conf_yacc.y
gmake[2]: *** [conf_yacc.c] Broken pipe
gmake[2]: Leaving directory `/ares/aide-0.13.1/src'
gmake[1]: *** [all-recursive] Error 1
gmake[1]: Leaving directory `/ares/aide-0.13.1'
gmake: *** [all] Error 2

I did go into config.log and find:
"flex: fatal internal error, exec failed"

But flex has worked before.

Fred
Dennis Handly
Acclaimed Contributor

Re: Getting AIDE to work on HP-UX

>[conf_yacc.c] Broken pipe

You need to look at that. Hmm, this is the same signal 13 as before.

>implicit declaration of built-in function 'alloca'

You need to fix that. You need to include .
Fred K. Abell Jr._1
Regular Advisor

Re: Getting AIDE to work on HP-UX

I was able to fix the "alloca" problem, but gmake still
has many bugs, more than what I am working on with AIDE.

The ./configure seems to run, but looking at the config.log
there are errors listed. My experience is limited, so I do
not know if the errors listed in config.log are important.

...
configure:3611: gcc -o conftest -g -O2 conftest.c >&5
/usr/ccs/bin/ld: Unsatisfied symbols:
yywrap (first referenced in /var/tmp//ccAYh0oW.o) (code)
collect2: ld returned 1 exit status
configure:3617: $? = 1
configure: failed program was:
|
| #line 3 "lex.yy.c"
...

and

...
/usr/ccs/bin/ld: Unsatisfied symbols:
vsyslog (first referenced in /var/tmp//cc6RzieH.o) (code)
collect2: ld returned 1 exit status
configure:4080: $? = 1
configure: failed program was:
| /* confdefs.h. */
...

Dennis Handly
Acclaimed Contributor

Re: Getting AIDE to work on HP-UX

>but gmake still has many bugs

What do you mean? gmake comes already built.

>I do not know if the errors listed in config.log are important.
>gcc -o conftest -g -O2 conftest.c
>ld: Unsatisfied symbols: yywrap

Probably not. This is probably checking to see if -ll is needed on the link line.

ld: Unsatisfied symbols: vsyslog

Checking to see if that is in libc?
Fred K. Abell Jr._1
Regular Advisor

Re: Getting AIDE to work on HP-UX

I switched machines, and tried again with gmake.

I ran ./configure again, then gmake:

gmake[1]: Entering directory `/download/aide-0.13.1'
Making all in src
gmake[2]: Entering directory `/download/aide-0.13.1/src'
if gcc -DHAVE_CONFIG_H -I. -I. -I.. -I../include -static -g -O2 -static -g -O2 -static -MT conf_yacc.o -MD -MP -MF ".deps/conf_yacc.Tpo" \
-c -o conf_yacc.o `test -f 'conf_yacc.c' || echo './'`conf_yacc.c; \
then mv -f ".deps/conf_yacc.Tpo" ".deps/conf_yacc.Po"; \
else rm -f ".deps/conf_yacc.Tpo"; exit 1; \
fi
In file included from /usr/local/include/mhash.h:6,
from ../include/db_config.h:86,
from ../include/report.h:26,
from ../include/aide.h:24,
from ../src/conf_yacc.y:21:
/usr/local/include/mutils/mincludes.h:102:20: error: stdint.h: No such file or directory
gmake[2]: *** [conf_yacc.o] Error 1
gmake[2]: Leaving directory `/download/aide-0.13.1/src'
gmake[1]: *** [all-recursive] Error 1
gmake[1]: Leaving directory `/download/aide-0.13.1'
gmake: *** [all] Error 2


stdint.h is in the path, and I made a link in the /usr/local/include/mutils/ directory.

Again, I checked the config.log and find:
configure:4711: gcc -c -g -O2 -static -static conftest.c >&5
conftest.c:56:20: error: stdint.h: No such file or directory
configure:4717: $? = 1
configure: failed program was:
| /* confdefs.h. */
| #define PACKAGE_NAME "aide"
| #define PACKAGE_TARNAME "aide"
...
Dennis Handly
Acclaimed Contributor

Re: Getting AIDE to work on HP-UX

>stdint.h is in the path, and I made a link in the /usr/local/include/mutils/ directory.

I don't see any -I paths that point to mutils.

>I checked the config.log and find:
configure:4711: gcc -c -g -O2 -static -static conftest.c
conftest.c:56:20: error: stdint.h: No such file or directory

This doesn't have that -I path either.
Of course, if this gets an error, configure should tell the application to not include .
Fred K. Abell Jr._1
Regular Advisor

Re: Getting AIDE to work on HP-UX

I'm not really sure what your saying. Sorry, at home sick responding to you.
Dennis Handly
Acclaimed Contributor

Re: Getting AIDE to work on HP-UX

>I'm not really sure what you're saying.

1) configure & AIDE should handle a missing .

2) If you have your own you must make it available with: -I/usr/local/include/mutils
Fred K. Abell Jr._1
Regular Advisor

Re: Getting AIDE to work on HP-UX

OK, maybe I'm missing something very basic. I have not done many open source installs on HP-UX. I do not program. Thank for the time you are spending helping with this problem.

./configure does the same, it runs, but no stdint.h is listed as an error in config.log.

gmake gives the same errors.

echo $PATH
~usual stuff~... /usr/local/include/mutils:/usr/local/include/c++/4.2.3/tr1

Is there something I'm missing to make stdint.h available?

./configure -I/usr/local/include/mutils is unknown option.
Dennis Handly
Acclaimed Contributor

Re: Getting AIDE to work on HP-UX

>Is there something I'm missing to make stdint.h available?
>./configure -I/usr/local/include/mutils is unknown option.

-I is the compiler option. You need to figure out how to pass random compiler options into configure.

>stdint.h is in the path, and I made a link in the /usr/local/include/mutils/ directory.

What did you do here? Made a link from what to what?
Fred K. Abell Jr._1
Regular Advisor

Re: Getting AIDE to work on HP-UX

Okay, here is what I did:

./configure --with-extra-includes --target /usr/local/include/c++/4.2.3/tr1
...
configure: error: C preprocessor "/lib/cpp" fails sanity check


In the config.log:

...
configure:3611: gcc -o conftest -g -O2 conftest.c >&5
/usr/ccs/bin/ld: Unsatisfied symbols:
yywrap (first referenced in /var/tmp//cc8TPLPI.o) (code)
collect2: ld returned 1 exit status
configure:3617: $? = 1
configure: failed program was:

...
and
...

configure:3968: gcc -o conftest -g -O2 -static yes -static conftest.c >&5
gcc: yes: No such file or directory
configure:3974: $? = 1
configure: failed program was:

...
and a few others that could not find gcc.
That is a new error.

If I do just:

./configure --with-extra-includes /usr/local/include/c++/4.2.3/tr1

I get this warning:

configure: WARNING: you should use --build, --host, --target
configure: WARNING: invalid host type: /usr/local/include/c++/4.2.3/tr1

so I added the --target.

As for the stdint.h in /usr/local/include/mutils, it was a link from
/usr/local/include/c++/4.2.3/tr1/stdint.h .
Dennis Handly
Acclaimed Contributor

Re: Getting AIDE to work on HP-UX

>As for the stdint.h in /usr/local/include/mutils, it was a link from
/usr/local/include/c++/4.2.3/tr1/stdint.h

This probably won't work without the -I because it was:
#include
But not "stdint.h".
Fred K. Abell Jr._1
Regular Advisor

Re: Getting AIDE to work on HP-UX

I entered :
# ./configure --with-extra-includes --target -I/usr/local/include/mutils/stdint.h

it runs a bit and bombs out with:
configure: error: C preprocessor "/lib/cpp" fails sanity check

In config.log I get:
configure:3611: gcc -o conftest -g -O2 conftest.c >&5
/usr/ccs/bin/ld: Unsatisfied symbols:
yywrap (first referenced in /var/tmp//cchmBwtz.o) (code)
collect2: ld returned 1 exit status

and later in the log:
configure:3968: gcc -o conftest -g -O2 -static yes -static conftest.c >&5
gcc: yes: No such file or directory

Are we making progress? Am I missing something basic?
Dennis Handly
Acclaimed Contributor

Re: Getting AIDE to work on HP-UX

# ./configure --with-extra-includes --target -I/usr/local/include/mutils/stdint.h

>it runs a bit and bombs out with:
configure: error: C preprocessor "/lib/cpp" fails sanity check

It looks like you took a step back. Can you list what the problem is? I have no idea why it should be using cpp.

>Are we making progress? Am I missing something basic?

Just find the rest of gcc's include files and stick your symlink there. And remove the option.
Fred K. Abell Jr._1
Regular Advisor

Re: Getting AIDE to work on HP-UX

Okay, for the command:

/configure --with-extra-includes --target -I/usr/local/include/mutils/stdint.h

I get config.log errors:

...
configure:3611: gcc -o conftest -g -O2 conftest.c >&5
/usr/ccs/bin/ld: Unsatisfied symbols:
yywrap (first referenced in /var/tmp//ccorvu01.o) (code)
collect2: ld returned 1 exit status
configure:3617: $? = 1
configure: failed program was:
|
| #line 3 "lex.yy.c"
...

and

...
configure:3968: gcc -o conftest -g -O2 -static yes -static conftest.c >&5
gcc: yes: No such file or directory
configure:3974: $? = 1
configure: failed program was:
| /* confdefs.h. */
...

My environment paths are the usual and:
PATH: /usr/ccs/bin
PATH: /usr/local/bin/gcc
PATH: /usr/local/lib/gcc
PATH: /opt/gnome/lib
PATH: /usr/local/include
PATH: /usr/local/lib
PATH: /usr/local/bin
PATH: /usr/ccs/lbin
PATH: /usr/lib
PATH: /usr/local/include/c++/4.2.3/tr1

Am I missing something?

for sw installed, the usual and:
bison 2.3 bison
byacc 20040328 byacc
dig 2.0 dig
flex 2.5.35 flex
gcc 4.2.3 gcc
gettext 0.17 gettext
glib 1.2.10 glib
glib2 2.18.2 glib2
libgcc 4.2.3 libgcc
libgcrypt 1.4.3 libgcrypt
libiconv 1.12 libiconv
m4 1.4.12 m4
make 3.81 make
mhash 0.9.9 mhash
pkgconfig 0.23 pkgconfig
zlib 1.2.3 zlib

Seems like something we already addressed.

Continued thanks for your help.
Dennis Handly
Acclaimed Contributor

Re: Getting AIDE to work on HP-UX

>for the command:
/configure --with-extra-includes --target -I/usr/local/include/mutils/stdint.h

Why are you doing that? I suggested that you place a link in the default include path for gcc to this header.

>I get config.log errors:

These have nothing to do with anything.

>ld: Unsatisfied symbols: yywrap

This maybe testing to see if -ll is needed?

configure:3968: gcc -o conftest -g -O2 -static yes -static conftest.c >&5
gcc: yes: No such file or directory

I'm not sure why there is a "yes" after "-static"? That may be another test.

So where is your real problem??

Going back to your issue. Why doesn't your gcc automatically have that header? (I guess they don't bother if HP-UX doesn't have it.)
Fred K. Abell Jr._1
Regular Advisor

Re: Getting AIDE to work on HP-UX

Thank you for your patience. I know I am missing the trivial knowledge.
I learned some programming long ago with Fortran Watfor/Watfiv (1976),
and a C course 15 years ago. The programmer I have is not much help,
and I am not in a posistion to change that, so I am learning a whole
lot of basic stuff with our discussion. I hope to become somewhat self-
sufficent soon. Come to New Orleans and I owe you dinner.

I had placed a link there long ago to no avail.

# find / -name stdint.h
/usr/local/include/mutils/stdint.h
/usr/local/include/c++/4.2.3/tr1/stdint.h

# ls -al /usr/local/include/mutils/stdint.h
lrwxrwxr-x 1 root sys 41 Nov 26 15:12 /usr/local/include/mutils/stdint.h -> /usr/local/include/c++/4.2.3/tr1/stdint.h

Is the "default include path" /usr/include or /usr/local/include ?
I put a link in both places and same problem.

./configure without the --with-extra-includes part give this
in the scrolling output:
...
checking for inttypes.h... yes
checking for stdint.h... no
checking for unistd.h... yes
....

AS for why gcc does not automatically have the header, I downloaded
the required files from Utah. Should I remove and get them from UK?

Again, thank you for your patience.
Dennis Handly
Acclaimed Contributor

Re: Getting AIDE to work on HP-UX

>I had placed a link there long ago to no avail.

It was probably the wrong place.

>Is the "default include path" /usr/include or /usr/local/include? I put a link in both places and same problem.

Did you put it in /usr/include/stdint.h?

On 11.23 and gcc 4.2.1 I did:
$ gcc -c stdint.c -E
# 1 "/usr/include/stdint.h" 1 3 4

So gcc just includes the system header and doesn't have one of its own.

# 1 "/usr/local/lib/gcc/ia64-hp-hpux11.23/4.2.1/include/sys/stdsyms.h"

This may give you an idea where to put your copy. Here it would be:
/usr/local/lib/gcc/ia64-hp-hpux11.23/4.2.1/include/stdint.h

>configure without the --with-extra-includes part give this
checking for stdint.h... no

Do it doesn't look at the places where you put it.

>As for why gcc does not automatically have the header

I guess because it doesn't. I guess if HP-UX's libc doesn't support C99, why have only a few more C99 headers?
Fred K. Abell Jr._1
Regular Advisor

Re: Getting AIDE to work on HP-UX

While looking at other errors, with a "yacc" statement,
I noticed that I had bison 2.3 installed. I upgraded to
Bison 2.4 .

Now the error is:
...
configure:4711: gcc -c -g -O2 -static -static conftest.c >&5
In file included from conftest.c:56:
/usr/local/include/stdint.h:37:23: error: tr1/cstdint: No such file or directory
configure:4717: $? = 1
configure: failed program was:
| /* confdefs.h. */
...

NOTICE the cstdint, not stdint?
# find / -name cstdint*
/usr/local/include/c++/4.2.3/tr1/cstdint
# ll /usr/local/include/c++/4.2.3/tr1/cstdint
-rw-r--r-- 1 root sys 4621 Feb 21 2008 /usr/local/include/c++/4.2.3/tr1/cstdint



> Did you put it in /usr/include/stdint.h?

Yes, ther is a link there too.
ls -al /usr/include/stdint.h
lrwxrwxr-x 1 root sys 41 Dec 4 08:58 /usr/include/stdint.h -> /usr/local/include/c++/4.2.3/tr1/stdint.h

> On 11.23 and gcc 4.2.1 I did:
>$ gcc -c stdint.c -E
># 1 "/usr/include/stdint.h" 1 3 4

I get:
#gcc -c stdint.c -E
gcc: stdint.c: No such file or directory
and I do not understand the part after the number 1.
but I think the next paragraph will answer that question.

To list all the places I have stdint.h:
# find / -name stdint.h
/usr/local/lib/gcc/hppa2.0w-hp-hpux11.11/4.2.3/include/sys/stdint.h
/usr/local/include/mutils/stdint.h
/usr/local/include/c++/4.2.3/tr1/stdint.h
/usr/local/include/stdint.h
/usr/include/stdint.h


> I guess because it doesn't. I guess if HP-UX's libc doesn't support C99,
>why have only a few more C99 headers?

Can I add anything else? I did install the HP C and C++ compiler
hoping it might add other header files, but nothing happened.
Dennis Handly
Acclaimed Contributor

Re: Getting AIDE to work on HP-UX

>/usr/local/include/stdint.h:37:23: error: tr1/cstdint: No such file or directory

tr1/cstdint is a C++0x header file. I'm not sure if this is worth pursuing. What's in your cstdint?
You may just want start with an empty ?

If you have a 11.23 or 11.31 system, you could copy the file from there.

>gcc: stdint.c: No such file or directory

You have to create a dummy .c file that includes stdint.h.

>I do not understand the part after the number 1.

That means my dummy file is including and that file is really in /usr/include.stdint.h.

>Can I add anything else?

You need the HP-UX header file.
Dennis Handly
Acclaimed Contributor

Re: Getting AIDE to work on HP-UX

>ME: You may just want start with an empty ?

Or at least make sure it has:
#include
#include